Loading...
Searching...
No Matches
crypto_platform.h File Reference

PSA cryptography module: Mbed TLS platform definitions. More...

`#include "mbedtls/private_access.h"`
`#include "psa/build_info.h"`
`#include <stdint.h>`
Include dependency graph for crypto_platform.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

PSA cryptography module: Mbed TLS platform definitions.

Note
  This file may not be included directly. Applications must include psa/crypto.h.

This file contains platform-dependent type definitions.

In implementations with isolation between the application and the cryptography module, implementers should take care to ensure that the definitions that are exposed to applications match what the module implements.

Definition in file crypto_platform.h.